Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements

Welcome to Cisco Support Community. We would love to have your feedback.

For an introduction to the new site, click here. And see here for current known issues.

New Member

how to configure WPA2 security on AIR-AP1231G-A-K9

I have some Access Point model AIR-AP1231G-A-K9 with system software version 12.3(8)JED and bootloader version 12.3(2)JA4, I need  change the security to WPA version 2, but this model only have WPA version 1 with TKIP, Could you tell me if I can do an Operative System Upgrade that support WPA version 2, or what can I do to configure this option on my access point.

Thanks

Everyone's tags (1)
6 REPLIES
VIP Purple

Re: how to configure WPA2 security on AIR-AP1231G-A-K9

I do not think this AP model supports WPA2/AES. If it supports you should be able to configure it as below using AP CLI.

dot11 ssid xx

authentication key-management wpa version 2

wpa-psk ascii 7 xxxx

!

int d0

encryption mode ciphers aes-ccm

c1200-k9w7-tar.123-8.JEE.tar is the last image ( Released in 2010) available & even if you upgrade to that, I do not think you could able to do this.

HTH

Rasika

***** Pls rate all useful responses ****

Hall of Fame Super Gold

Re: how to configure WPA2 security on AIR-AP1231G-A-K9

Your 1230 requires a radio upgrade kit to support WPA2.  You need AIR-MP21G-X-K9.

Cisco Aironet 802.11G 1100 and 1200 Series Access Point Upgrade Kit

Cisco Aironet 1200 Series Access Point Radio Upgrade Instructions

Don't forget to rate our useful posts.

New Member

Re: how to configure WPA2 security on AIR-AP1231G-A-K9

Hi

I have one AP with image C1200-k9w7-tar.123-8.JEE.tar and tray to configure WPA version 2 and shows the follow error:

CHIAPTEST(config)#dot11 ssid LAN3_Test

CHIAPTEST(config-ssid)#   vlan 18

CHIAPTEST(config-ssid)#   auth open

CHIAPTEST(config-ssid)#   auth key-man wpa version 2

                                           ^

% Invalid input detected at '^' marker.

CHIAPTEST(config-ssid)#$JS>%oiiYb8em``vbsMO,YW>Onh01idbc*!%|~li_:JN_h*4y5

Error: Key-management WPA is requried for WPA-PSK

Tray with the example that send me and shows the same message

CHIAPTEST(config)#dot11 ssid LANTest01

CHIAPTEST(config-ssid)#

CHIAPTEST(config-ssid)#authentication key-management wpa version 2

                                                         ^

% Invalid input detected at '^' marker.

CHIAPTEST(config-ssid)#

CHIAPTEST(config-ssid)#wpa-psk ascii 7 AA12455B

Error: Key-management WPA is requried for WPA-PSK

CHIAPTEST(config-ssid)#

CHIAPTEST(config-ssid)#!

CHIAPTEST(config-ssid)#

CHIAPTEST(config-ssid)#int d0

CHIAPTEST(config-if)#

CHIAPTEST(config-if)#encryption mode ciphers aes-ccm

I have other model of AP AIR-SAP 2602, and it shows what version of WPA I need to use

(config-ssid)#auth key-man wpa ?

  cckm      allow CCKM clients

  optional  allow legacy clients

  version   Specify WPA version

 

VIP Purple

Re: how to configure WPA2 security on AIR-AP1231G-A-K9

Try the commands in this sequence & see.

int d0

encryption mode ciphers aes-ccm

!

dot11 ssid xx

authentication open

authentication key-management wpa version 2

If you still getting error msg, thenWPA2/AES is not supported in this model(1231). As Leo suggested, you can do Radio Kit upgrade if you really wanted to get this done with 1231.

I would simply replace it with another model which support this. If you can go with 2602 it is much better since those support 802.11n (high throughput). Otherwise even AIR-LAP1131AG model should work.(I have tested it)

HTH

Rasika

**** Pls rate all useful responses ****

Hall of Fame Super Gold

Re: how to configure WPA2 security on AIR-AP1231G-A-K9

Duplicate posts.  Go here and here.

New Member

Re: how to configure WPA2 security on AIR-AP1231G-A-K9

Hi

I have one AP with image C1200-k9w7-tar.123-8.JEE.tar and tray to configure WPA version 2 and shows the follow error:

CHIAPTEST(config)#dot11 ssid LAN3_Test

CHIAPTEST(config-ssid)#   vlan 18

CHIAPTEST(config-ssid)#   auth open

CHIAPTEST(config-ssid)#   auth key-man wpa version 2

                                           ^

% Invalid input detected at '^' marker.

CHIAPTEST(config-ssid)#$JS>%oiiYb8em``vbsMO,YW>Onh01idbc*!%|~li_:JN_h*4y5

Error: Key-management WPA is requried for WPA-PSK

Tray with the example that send me and shows the same message

CHIAPTEST(config)#dot11 ssid LANTest01

CHIAPTEST(config-ssid)#

CHIAPTEST(config-ssid)#authentication key-management wpa version 2

                                                         ^

% Invalid input detected at '^' marker.

CHIAPTEST(config-ssid)#

CHIAPTEST(config-ssid)#wpa-psk ascii 7 AA12455B

Error: Key-management WPA is requried for WPA-PSK

CHIAPTEST(config-ssid)#

CHIAPTEST(config-ssid)#!

CHIAPTEST(config-ssid)#

CHIAPTEST(config-ssid)#int d0

CHIAPTEST(config-if)#

CHIAPTEST(config-if)#encryption mode ciphers aes-ccm

2428
Views
0
Helpful
6
Replies
CreatePlease login to create content